Version history for RcmdrPlugin.DoE: 

Changes in version 0.12-6, 29 Oct 2024
   - added package anchor to one link
   - removed a documented function from undocumented functions documentation file
   - fixed links to R commander installation material

Changes in version 0.12-5, 07 Oct 2023
   - removed latin1 encoding
   - corrected formatting for documentation of design method 
     for editDataset generic

Changes in version 0.12-4, 23 Apr 2022
   - removed useless showData and fix functions, 
     and added a design method for Rcmdr::editDataset 
     that saves the edited design object under a new name 
     (and thus avoids destroying the original).
   - added help function for editDataset.design, and referenced
     it in the warning dialogue box
   - removed dependency on package relimp
   - added imports from stats and utils
   - changed require to requireNamespace for FrF2.catlg128
   - made loading a catalogue from FrF2.catlg128 work whenever the package 
     is *installed* (instead of already loaded), and modified the help 
     accordingly
   - changed data(catlgname) to "catlgname <- catlgname" 
     for catalogues from FrF2.catlg128 
     (because FrF2.catlg128 now lazy loads catalogues,
     and the chosen catalogues are needed in the workspace)
   - added a hint to the help for the FrF2 dialogue, regarding the loading
     of catalogues from FrF2.catlg128
   - updated maintainer contact details
   - added a link to the package tutorial to the package manual and added the 
     files themselves as vignette documentation
   - fixed urls for R Commander installation notes
   - changed package title and description to comply with CRAN rules
   - changed NEWS file to be compatible with automatic news extraction

Changes in version 0.12-3, 28 Aug 2014
   - added dependence on RcmdrMisc
   - changed links to help of former Rcmdr functions that are now in RcmdrMisc
   - imported from tcltk
   - fixed a glitch in modify design menu

Changes in version 0.12-2, 28 Aug 2013
   - fixed a bug in the startup that affected users who loaded the plugin by 
     the R Commander menu
   - included function checkWarnings() from Rcmdr into here under a different 
     name, in order to get rid of ::: in justDoItDoE

Changes in version 0.12-1, 05 Jul 2013
   - added dependence on relimp and tcltk in order to be able to remove these 
     from DoE.base
   - added functions showData, showData.default and showData.design 
     to this package and removed it from DoE.base
   - modified the maintainer address to match the sending address of the 
     mail server

Changes in version 0.12, 11 Feb 2013
   - adapted to new Rcmdr possibility of including plugin without closing 
     Commander window
   - adapted to new Rcmdr option regarding the Rcmdr search path in 
     order to make the package work in R 3.0.0
   - removed assignments to global environment via assign in order to conform with 
     new CRAN policy, 
     either by using Rcmdr-specific commmands or by moving object to RcmdrEnv
     (savename.RcmdrPlugin.DoE)
   - modified the description and the startup message to more adequately 
     reflect the current status of the package
   - moved functions fix, fix.default and fix.design to here 
     instead of DoE.base, in order to have all GUI-related stuff in 
     the same place

Changes in version 0.11-7, 18 Sep 2012
   - Bug fix: because of a name clash with function path from package igraph, 
     the "Export experiment" menu didn't work any more.

Changes in version 0.11-6, 19 Jul 2012
   - I followed advice by John Fox and added globalVariables command
     for getting rid of the notes in R CMD check.
   - bug fix: After upgrading package FrF2 to version 1.5+ (29 Jun 2012), 
     the menu for Fractional factorial 2-level designs did not work any more 
     (thanks to Gilles Le Pape for alerting me).
   - bug fix: Under a certain error constellation, 
     adding a response could not be reset from external file to R object.

Changes in version 0.11-5, 15 Nov 2011
   - bug fix: creation of long version parameter designs did not work
   - bug fix: Menu.aggregate returned to wrong dialog (Menu.export) on name specification error
   - Too many analysis facilities were on offer (but not functional) for long version parameter design 
   - added possibility to remove star portion from ccd design (Menu.pickcube) 
     in order to support interim analysis, if cube has been run but stars haven't

Changes in version 0.11-4, 08 Nov 2011
   - bug fix: activation filter for adding center points menu items caused 
     trouble 

Changes in version 0.11-3, 07 Nov 2011
   - bug fix: full factorial 2-level designs with center points 
     could not be augmented with a star portion
   - feature enhancement: possible to add different number of center points 
     to cube and star portion central composite designs

Changes in version 0.11-2, 13 Aug 2011
   - modified loading workspace of design menu to work properly for work spaces 
     with several objects in them

Changes in version 0.11-1, 10 Aug 2011
   - removed forgotten debugging tags

Changes in version 0.11, 10 Aug 2011
   - added blocked full factorials, based on version 0.22-4 of package 
     DoE.base 

Changes in version 0.10-5, 29 Jul 2011
   - fixed bugs in case central composite designs were created after 
     using 2-level design dialog for a completely different purpose 
     earlier in the session

Changes in version 0.10-4, 21 Jul 2011
   - allowed lazy loading
   - added a namespace and changed .First.lib to .onAttach
   - removed tkgrab.release(topdes2) from those help functions directly 
     used from within menus (they caused trouble for MacOS)
   - tidied separation of different help functions (dialogs vs. menus)

Changes in version 0.10-3, 04 Jun 2011
   - clarified steepest ascent dialog
   - corrected bug in Menu.rsmmodel (led to unusable follow-up dialog 
     when directly using coded designs)
   - modified help to show the new ability (from DoE.base 0.21-2, FrF2 1.2-3 
     and DoE.wrapper 0.8-3) to also treat a fractional factorial with 
     center points with response surface methods (interesting for 
     steepest ascent etc.)

Changes in version 0.10-2, 21 Feb 2011
   - fixed an issue, which made adding observation statistics from the Models 
     menu fail with default linear models from the Design menu 
     (added modelWithSubset variable to Rcmdr namespace on model creation)

Changes in version 0.10-1, 04 Feb 2011
   - added more (redundant) possibilities for exporting to the Design menu 
     in order to spare users the necessity to get oriented in the File menu
   - Bug fix: fixed various places where function dQuote was used instead 
     of function dquote, which led to use of fancy quotes and consequently errors 
     in commands on systems with option useFancyQuotes set to TRUE.
     

Changes in version 0.10, 31 Jan 2011
   - added the choice between actual and standard run order to the display design 
     menu item (requires DoE.base version 0.21)
   - added a check box for Taguchi order for 12 run orthogonal arrays
   - added change working directory and load R workspace items to the import menu
     for convenience
   - added a caution to the new main effects and interaction plot dialog for 
     general designs
   - modified behavior of repeat.only checkbox in connection with blocked designs 
     for FrF2 menu: with the repeat.only checkbox checked, repeats become 
     within block repeated measurements (option wbreps); 
     previously, the checkbox was implicitly ignored for blocked designs
   - fixed degree bug for the default linear model: the degree for pb and oa designs 
     is now in line with the documentation
   - fixed minor bug in function PlotMeansDoE.menu (reload of menu suppressed 
     because of PlotMeans instead of PlotMeansDoE.menu in the recall option)
   - fixed bug in dialog for creation of full factorial (wrong title text)
   - fixed bug in D-optimal design menu that always made the RHS formula disappear

Changes in version 0.9-2, 24 Jan 2011
   - added main effects and interaction plot menu for general factorial designs

Changes in version 0.9-1, 23 Jan 2011
   - deactivated D-optimal design creation menu for missing candidate designs
   - made D-optimal candidate design selection more comfortables, 
     allowing also selection of an existing design from within the candidate 
     creation menu.
   - fixed bug which made help for D-optimal designs in the design creation menu 
     inaccessible
   - updated a link to Rcmdr installation instructions

Changes in version 0.9, 30 Oct 2010
   - adapted information on available designs in menu for fractional factorial 
     2-level designs to extensions in package FrF2 

Changes in version 0.8, 10 Aug 2010
   - added analysis functionality for response surface designs
     - response surface model with FO, TWI, PQ, and SO notation
     - steepest ascent / descent analysis
     - contour and persp plots that also work for linear models in general
   - implemented simple version of D-optimal designs (no blocking so far)
   - improved menu for creation of ccd designs 
     (better defaults for cube portion, better guidance through menus)
   - modified NEWS file for better display with function news()
   
   Bug fixes
   - resetting ccd menu would use wrong defaults (from lhs instead of ccd)
   - star portion of ccd augmentation ignored the specified number of center points 
     star portion (and always used the default 4); only the center points 
     specified with the cube portion, if any, were honored
   - list of 2-level designs did not include 2-level full factorials
   - current model information was not stored for linear models based on design
   - a harmless warning was not suppressed in menuLinearModelDesign

Changes in version 0.6-14, 04 Jun 2010
   Bug fixes:
   - contrary to documentation, the default linear model tab worked for models with 2-level factors only.

Changes in version 0.6-13, 23 Apr 2010
   - improved Base Settings tab for regular fractional factorials 
     to allow specification of an extra catalogue without having to specify the design itself
       - fourth radio button for catlg only
       - design radio button always also displays catalogue entry box, which is now a combobox
   - allowed loading of special further design catalogues 
     for regular fractional factorials from package FrF2.catlg128, 
     if installed
   - added possibility to display design.info attribute
   
  Bug fixes: 
   - fixed command for selection of specific catalogue 
     (for generating regular fractional factorials) and 
     added dependence on new version of FrF2, because catalogue selection did not 
     work properly in earlier versions
   - corrected an instruction in Menu.import.Rd (regarding loading of R workspace)

Changes in version 0.6-12, 03 Apr 2010
bug fix: added requirement for DoE.base version 0.10 
(new design inspection for creation of general orthogonal arrays did not work for older versions)

Changes in version 0.6-11, 26 Mar 2010
- updated resolution information to include newly implemented designs 
  from packages FrF2 and DoE.base 
  (and included bug fix to previous version that was incomplete regarding 64 run designs)
- updated general orthogonal arrays: 
    - added automatic optimization
    - added button for displaying available designs
- updated "Inspect design" menu: 
    - all menu items work for active design only
    - summary only does the printed summary itself
    - plot and table become menu items themselves, 
      with the added possibility of selecting a subset of factors only
- bug fix: creation of general orthogonal arrays did not work for most recent version 
  of package DoE.base

Changes in version 0.6-10, 03 Jan 2010
- added possibility for compromise designs to estimable menu for regular fractional factorials
- Bugfix: error message for wrong response specigication in add response menu

Changes in version 0.6-9, 18 Dec 2009
Created comfort for analysing designs with several response variables:
- added response selection to the currently available analysis menus
- removed design selection from linear model menu; this menu now always refers 
  to the design in the active dataset, like the other analysis menus

Changes in version 0.6-8, 10 Dec 2009
- added menu for permanently removing columns from the design
- added menu for modifying factor contrasts
- bug fix: help button for response selection menu now points to the correct 
  help file

Changes in version 0.6-7, 21 Nov 2009
- improved help for manually incorporating blocks into designs with 
  estimable 2-factor interactions 
- bug fix: directory selection did not work on export tabs of design creation
  menus

Changes in version 0.6-6, 25 Oct 2009
- added help button to "Estimable Model" tab for regular 2-level fractional factorials

Changes in version 0.6-5, 25 Oct 2009
- a few changes to help files
- made several menus more comfortable:
  - keep decimal settings between menus and calls in menus (except for export sub 
    menus of larger menus)
  - allow change of working directory in import, export and add response menu
  - keep further settings in export, import and add response menus, 
    especially in case of errors, so that corrections can be made more comfortably
- small layout changes to Estimable Model tab 
  for regular 2-level fractional factorials
- bug fix: maximum time for searching for designs with specified 2fis not aliased  
  with each other or with main effects (Estimable Model tab 
  for regular 2-level fractional factorials)
  was not properly implemented (search was always 60 seconds);
  - improvement for this situation: indication that search is in progress in the output window

Changes in version 0.6, 18 Oct 2009
- changed strategy for error messages when generating designs (affects all design 
  generating and design modifying menus):
  After pressing OK with options that lead to an error, instead of closing the 
  menu and printing a warning in the messages log, the menu is re-opened with an 
  error message in the messages log. Also, the offending command is not printed into the 
  script and output window, but into the messages log only.
- bug fix: wrong creator class for ccd designs (menu.designlhs instead of menu.designccd)
- bug fix: in case of an error message that re-opens the dialog, messages are suppressed
- bug fix: for Menu.wide, re-opening the menu did not work
- bug fix: disabled "Quantitative" separator line from Create Design menu
- bug fix: disabled transformation element on aggregate.design menu, 
  which does not work yet
- bug fix: changed default formula for models with center points to not add a dummy 
  for the center points (dummy was not found); 
  eventually, there will be an option for including a dummy
  ...

Changes in version 0.5-6, 17 Oct 2009
- made changes to common factor levels for 2-level designs work immediately, not with delay
- made radio buttons on "Estimable Model" tab for regular 2-level designs bring up the 
  appropriate controls without delay

Changes in version 0.5-5, 08 Oct 2009
- corrected various copy-paste errors in titles and descriptions of help files
- made all Info menu items always visible

Changes in version 0.5-4, 08 Oct 2009
- introduced dependence on Rcmdr version at least 1.4-6 
  (because of issues with building menus and displaying messages in earlier versions)
- added a help topic for choosing between screening and regular fractional factorial designs
- updated displayed available designs to reflect current status of designs implemented in 
  package FrF2
- improved calls to plotting routines in 2-level effect plots menus 
  under Analyse Design (enabled by methods for designs in package FrF2):
  calls were awkward before for main effects and interaction plots, and 
  call documentation was incomplete for (half) normal effects plots

Changes in version 0.5-3, 28 Sep 2009
- corrected default setting for colnospecifyVariable in menu for 
  general factorial designs
- corrected behavior of the oa.design menu when switching back 
  from a named design with columns specified to automatic selection

Changes in version 0.5-2, 25 Sep 2009
- corrected further links in documentation

Changes in version 0.5-1, 24 Sep 2009
- corrected a few links in documentation 
- added Encoding field to DESCRIPTION
- added version requirements to packages DoE.base, FrF2 and DoE.wrapper 
  in DESCRIPTION

Changes in version 0.5, 24 Sep 2009
First Beta version released to CRAN
